<style>
    .search-result{
        margin-top: 10px;
        font-size: 22px;
        font-weight: 500;
        color: rgba(0, 0, 0, 0.75);
    }
    #searchTermText{
        color: #000;
        font-weight: 900;
    }
    .searchNotfoundimg{
        width: 100%;
        height: 50vh;
        object-fit: contain;
    }
    .notFoundtext{
        text-align: center;
        font-size: 23px;
        font-weight: 900;
        color: red;
    }
    .tryAgaintext{
        text-align: center;
        font-weight: bolder;
        color: green;
    }
</style>
<div class="container mb-4 prduct-women-section">
  <p class="search-result mt-4">Search Result for: <span id="searchTermText">
    { <%= searchTerm  %> }
  </span> </p>
    <div class="row">
      <% products.forEach(product => { %>
        <div class="col-md-4 mt-3">
          <div class="shopCart">
            <div class="productImgconatainer">
              <img class="w-100 productImg" src="<%= product.productimage %>" alt="">
            </div>
            <h6 class="productTiltle"><%= product.productname %></h6>
            <div class="shopCartButtonContainer">
              <div class="price"><h6 class="mt-1">NU. <%= product.price %></h6></div>
              <div class="Addcart">
                <% if (user) { %>
                  <button
                  type="button"
                  data-bs-toggle="modal"
                  data-bs-target="#AddToCart_<%= product._id %>"
                  data-product-id="<%= product._id %>" >
                  ADD TO CART
                </button>
                <% } else { %>
                  <button type="button" id="openModalBtn_<%= product._id %>">ADD TO CART</button>
                <% } %>
              </div>
            </div>
          </div>
        </div>
        <!-- Add To Modal -->
        <div class="modal fade" id="AddToCart_<%= product._id %>" data-bs-backdrop="static" data-bs-keyboard="false" tabindex="-1" aria-labelledby="staticBackdropLabel" aria-hidden="true">
          <div class="modal-dialog modal-dialog-centered">
            <div class="modal-content p-3 px-5">
              <div class="modal-header">
                <h5 class="modal-title chooseProductsizeTiltle" id="exampleModalLabel">Select The Cloth Size</h5>
                <button type="button" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
              </div>
              <div class="modal-body">
                <!-- Form to select the size with radio buttons -->
                <form method="post" action="/mycart" id="sizeSelectForm_<%= product._id %>">
                  <input type="hidden" name="productId" value="<%= product._id %>">
                  <input type="hidden" name="quantity" value="1">
                  <% if (product.size && product.size.length > 0) { %>
                    <% product.size.forEach(size => { %>
                      <input
                        required
                        class="clothSize mt-4"
                        type="radio"
                        name="size"
                        id="<%= product._id %>_size_<%= size %>"
                        value="<%= size %>"
                      >
                      <label for="<%= product._id %>_size_<%= size %>"><%= size %></label>
                    <% }); %>
                  <% } %>
                  <br>
                  <button type="submit" class="AddcartButton my-3"> Add To Cart</button>
                </form>
              </div>
            </div>
          </div>
        </div>
        <% }); %>
        <!-- Overlay and Modal Container for cart without login -->
        <div class="overlay" id="overlay">
          <div class="modal-container px-5 py-4">
            <div class="modal-header">
              <p style="line-height: 30px;" class="mt-3">Please login to continue and add a product to the cart! <br>
              <span class="mt-2"> <a href="/login">Click here to login!</a></span>
              </p>
              <button type="button" id="closeModalBtn" class="btn-close" data-bs-dismiss="modal" aria-label="Close"></button>
            </div>
          </div>
        </div>
        <script>
          // Function to open the modal for all products
          const openModalBtns = document.querySelectorAll('[id^="openModalBtn_"]');
          const closeModalButton = document.getElementById('closeModalBtn');
          const overlay = document.getElementById('overlay');
        
          openModalBtns.forEach(btn => {
            btn.addEventListener('click', function() {
              overlay.style.display = 'flex';
            });
          });
        
          // Function to close the modal
          closeModalButton.addEventListener('click', function() {
            overlay.style.display = 'none';
          });
        </script>
  </div>
</div>
<% if (products.length === 0) { %>
    <div class="container min-vh-100">
        <div class="row">
            <div class="col-12"><img class="img-fluid searchNotfoundimg" src="../../assets/images/search-not-found.png" alt="searchnotfound"></div>
            <div class="col-12 notFoundtext"><h2> Ups!... no results found</h2></div>
            <div class="col-12 mb-4 tryAgaintext"><h6>Please try another search</h6></div>
        </div>
    </div>
<% } %>
